# Source code for azure.mgmt.automation.models.non_azure_query_properties_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class NonAzureQueryProperties(Model):
        """Non Azure query for the update configuration.

        :param function_alias: Log Analytics Saved Search name.
        :type function_alias: str
        :param workspace_id: Workspace Id for Log Analytics in which the saved
         Search is resided.
        :type workspace_id: str
        """

        _attribute_map = {
            'function_alias': {'key': 'functionAlias', 'type': 'str'},
            'workspace_id': {'key': 'workspaceId', 'type': 'str'},
        }

        def __init__(self, *, function_alias: str=None, workspace_id: str=None, **kwargs) -> None:
            super(NonAzureQueryProperties, self).__init__(**kwargs)
            self.function_alias = function_alias
            self.workspace_id = workspace_id